The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Telemetry Configuration

Prev Next

This URL gets the telemetry configuration present on the Manager.

Resource URL

GET /gticonfiguration

Request Parameters

URL Parameters: None

Payload Request Parameters: None

Response Parameters

Following fields are returned:

Field Name Description Data Type
alertDataDetails Alert data details Object
alertDataSummary Should the alert data summary be included in data sent to telemetry Boolean
generalSetup Should the general setup data be included in data sent to telemetry Boolean
featureUsage Should the feature usage data be included in data sent to telemetry Boolean
systemFaults Should the system faults data be included in data sent to telemetry Boolean
technicalContactInformation Contact details in the organization Object

Details of fields in alertDataDetails:

Field Name Description Data Type
AlertDataDetailsEnabled Alert data details to be sent Boolean
excludedIpList IPs excluded Array
alertDetaDetailsFilterLevel Alert data filter level Object

Details of fields in technicalContactInformation:

Field Name Description Data Type
sendContactInfo Send contact information Boolean
firstName First name String
lastName Last name String
address Address String
phone Phone String
email Email String

Details of fields in alertDetaDetailsFilterLevel:

Field Name Description Data Type
high Include high severity alerts Boolean
low Include low severity alerts Boolean
medium Include medium severity alerts Boolean
informational Include informational severity alerts Boolean

Example

Request

GET https://<NSM_IP>/sdkapi/gticonfiguration

Payload

None

Response

{
"alertDataDetails":{"AlertDataDetailsEnabled":true,"excludedIpList":["1.1.1.1/32"],"alertDetaDetailsFilterLevel":
{"high":true,"low":true,"medium":true,"informational":true}},"alertDataSummary":true,
"generalSetup":true,"featureUsage":true,"systemFaults":true,"technicalContactInformation":{"sendContactInfo":true,"firstName":"Test","lastName":"Test","address":"MIC","phone":"1234567890","email":"EIT@xyz.com"}
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error